List brands
Returns the organization's brands, the default brand first. Request: GET /v1/brands. Scope: templates:read.
GET
Returns the organization's brands, the default brand first.
apiKeyheader
x-api-key<token>BrandList
application/json- response
items*array<>import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.brands.list({});Example Response
{
"items": [
{
"id": "string",
"slug": "string",
"name": "string",
"isDefault": true,
"css": "string",
"assets": {
"logoUrl": "string",
"logoDarkUrl": "string",
"iconUrl": "string"
},
"footer": {
"companyName": "string",
"websiteUrl": "string",
"address": {
"street1": "string",
"street2": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"socialLinks": [
{
"label": "string",
"url": "string"
}
]
},
"digest": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}